/*******************************************************************
 /$$$$$$$  /$$$$$$$$  /$$$$$$  /$$$$$$ /$$$$$$$  /$$$$$$$$  /$$$$$$
| $$__  $$| $$_____/ /$$__  $$|_  $$_/| $$__  $$| $$_____/ /$$__  $$
| $$  \ $$| $$      | $$  \__/  | $$  | $$  \ $$| $$      | $$  \__/
| $$$$$$$/| $$$$$   | $$        | $$  | $$$$$$$/| $$$$$   |  $$$$$$
| $$__  $$| $$__/   | $$        | $$  | $$____/ | $$__/    \____  $$
| $$  \ $$| $$      | $$    $$  | $$  | $$      | $$       /$$  \ $$
| $$  | $$| $$$$$$$$|  $$$$$$/ /$$$$$$| $$      | $$$$$$$$|  $$$$$$/
|__/  |__/|________/ \______/ |______/|__/      |________/ \______/
*******************************************************************/
.fade-in
{
	opacity: 0;
	animation: fadein ease-in 1;
	animation-fill-mode: forwards;
	animation-duration: 800ms;
}

@media screen and (min-width:480px)
{
	.fade-2
	{
		animation-delay: 150ms;
	}

	.fade-3
	{
		animation-delay: 200ms;
	}
}

.container-max-width-extended
{
	max-width: 2000px;
	width: 100% !important;
}

p.error-message
{
	padding: 30px 15px;
	font-size: 16pt;
	max-width: 800px;
	margin: 100px auto 0 auto;
	background-color: #f1f1f1;
}

#recipe_category_container
{
	width: 100%;
	max-width: 2000px;
	margin: 0 auto;
	background-color: #ece9e8;
	padding: 20px 0 10px 0;
}

ul.recipe-category-selection
{
	display: flex;
	flex-flow: row wrap;
	justify-content: space-between;
	align-items: center;
	margin: 0;
	padding: 0;
}

@media screen and (max-width:1440px)
{
	ul.recipe-category-selection
	{
		justify-content: space-evenly;
	}
}

@media screen and (max-width:480px)
{
	ul.recipe-category-selection
	{
		flex-flow: column nowrap;
		justify-content: flex-start;
	}
}

ul.recipe-category-selection li
{
	list-style: none;
	margin: 0 10px 20px 10px;
	padding: 0;
}

ul.recipe-category-selection li:last-of-type
{
	margin-right: 0;
}

ul.recipe-category-selection li::before
{
	display: none;
}

ul.recipe-category-selection li a:link,
ul.recipe-category-selection li a:active,
ul.recipe-category-selection li a:visited
{
	font-family: lato_medium;
	font-size: 16pt;
	font-weight: normal;
	color: #505050;
	transition: color 200ms;
	text-decoration: none;
}

ul.recipe-category-selection li a::after
{
	content: '';
	position: absolute;
	width: 100%;
	height: 2px;
	bottom: -2px;
	left: 0;
	background: #5b732d;
	visibility: hidden;
	transform: scaleX(0);
	transition: all 0.2s;
}

ul.recipe-category-selection li a:hover::after,
ul.recipe-category-selection li a.selected:link::after,
ul.recipe-category-selection li a.selected:visited::after,
ul.recipe-category-selection li a.selected:active::after
{
	visibility: visible;
	transform: scaleX(1);
}

ul.recipe-category-selection li a.selected:link,
ul.recipe-category-selection li a.selected:visited,
ul.recipe-category-selection li a.selected:active
{
	color: #5b732d;
}

#recipe_grid
{
	position: relative;
	min-height: 290px;
	margin-bottom: 60px;
}

#recipe_grid img.loading-animation
{
	position: absolute;
	left: 0;
	right: 0;
	display: block;
	width: 24px;
	margin: 84px auto 0 auto;
}

.widget_single_recipe:link,
.widget_single_recipe:visited
{
	opacity: 0;
	display: flex;
	justify-content: center;
	align-items: center;
	position: relative;
	overflow: hidden;
	width: 100%;
	height: 290px;
}

.widget_single_recipe.no-image:link,
.widget_single_recipe.no-image:visited
{
	background-color: #ece9e8;
}

.widget_single_recipe::before
{
	content: '';
	position: absolute;
	z-index: 2;
	display: block;
	width: 100%;
	height: 100%;
	bottom: 0;
	left: 0;
	opacity: 0;
	background-color: #d12421;
	transition: opacity 200ms ease-out;
}

.widget_single_recipe.no-image::before
{
	background-color: #D7D1CF;
}

.widget_single_recipe:hover::before
{
	opacity: 0.8;
}

.widget_single_recipe img
{
	position: absolute;
	left: 0;
	top: 0;
	z-index: 1;
	object-fit: cover;
	width: calc(100% + 10px);
	height: 100%;
	transform: 	translateX(-10px);
	transition: transform 600ms ease-out;
}

@media screen and (min-width:992px)
{
	.widget_single_recipe:hover img
	{
		transform: 	translateX(0);
	}

	.widget_single_recipe:active img
	{
		transform: 	translateX(0)
					scale(1.05);
	}
}

.widget_single_recipe .caption-container
{
	position: absolute;
	z-index: 3;
	bottom: 0;
	left: 0;
	padding: 30px;
	display: flex;
	flex-flow: column nowrap;
	justify-content: center;
	align-items: center;
	text-align: center;
	width: 100%;
	height: 100%;
	opacity: 0;
	transition: opacity 200ms ease-out;
}

.widget_single_recipe:hover .caption-container,
.widget_single_recipe.no-image .caption-container
{
	opacity: 1;
}


.widget_single_recipe .caption-container div.title
{
	font-family: patua_one;
	font-size: 28pt;
	font-weight: bold;
	max-width: 460px;
	margin: 0 auto;
	color: #ffffff;
	line-height: 1.2;
	transition: transform 200ms ease-out;
}

.widget_single_recipe.no-image .caption-container div.title
{
	color: #505050;
}

.widget_single_recipe .caption-container div.link-text
{
	font-family: lato_medium;
	font-size: 12pt;
	font-weight: normal;
	color: #ffffff;
	padding-top: 20px;
	text-decoration: underline;
}

.widget_single_recipe.no-image .caption-container div.link-text
{
	color: #505050;
}


.widget_single_recipe:hover .caption-container div.title,
.widget_single_recipe:hover .caption-container div.sub-title
{

}

div.no-padding
{
	padding: 0;
}